Software requirements

Software requirements Windows 2012

For information about how to install required software, see the corresponding installation guides.

Component Supported version(s)
Operating System

Windows Server 2012 Standard Edition

Any edition is possible from an M3 point of view. The choice should be made on what other features you are looking for.

Note: The only supported configurations are:
  • Server with full GUI Interface (Server Graphical Management Tools & Infrastructure)

  • Server with minimal GUI Interface (Server Graphical Shell)

English is the preferred language for installing Windows. Infor’s ability to support non-English installations is limited.

Database

Windows Server 2012:

Microsoft SQL Server 2012 Enterprise Edition SP1 or higher 64-bit

Microsoft SQL Server 2012 Standard Edition SP1 or higher 64-bit

Note: Developer and Express editions are supported for test and demonstration purpose.
Java Application server

Oracle Java SE Development Kit 8.0 Update 191 or higher 32-bit and 64-bit

For more information about Oracle Java, see: http://www.oracle.com/technetwork/java/index.html.

Amazon Corretto JDK 8 32-bit and 64-bit

For more information about Amazon Corretto, see: https://aws.amazon.com/corretto/.

OpenText

StreamServe 5.6.2

Exstream 16.x

Used for output management of M3 Business Engine printouts

Infor Federation Services

12+

Note: IFS is included in Infor OS and this requirement is for the SAML Session Provider.

IBM WebSphere MQ 8.5 (MQ Series Channel compatibility)

Windows version 5.6 for scripting host

Note: These are optional third party components for Infor Enterprise Collaborator (IEC).

If these channel types are needed, refer to the third party installation guide.

Software requirements Windows 2012 R2

For information about how to install required software, see the corresponding installation guides.

Component Supported version(s)
Operating System

Windows Server 2012 R2 Standard Edition

Any edition is possible from an M3 point of view. The choice should be made on what other features you are looking for.

Note: The only supported configurations are:
  • Server with full GUI Interface (Server Graphical Management Tools & Infrastructure)

  • Server with minimal GUI Interface (Server Graphical Shell)

English is the preferred language for installing Windows. Infor’s ability to support non-English installations is limited.

Database

Windows Server 2012 R2:

Microsoft SQL Server 2012 Enterprise Edition SP1 or higher 64-bit

Microsoft SQL Server 2012 Standard Edition SP1 or higher 64-bit

Microsoft SQL Server 2014 Enterprise Edition SP2 or higher 64-bit

Microsoft SQL Server 2014 Standard Edition SP2 or higher 64-bit

Note: Developer and Express editions are supported for test and demonstration purpose.
Java Application server Oracle Java SE Development Kit 8.0 Update 191 or higher 32-bit and 64-bit

For more information about Oracle Java, see: http://www.oracle.com/technetwork/java/index.html.

Amazon Corretto JDK 8 32-bit and 64-bit

For more information about Amazon Corretto, see: https://aws.amazon.com/corretto/.

OpenText

StreamServe 5.6.2

Exstream 16.x

Used for output management of M3 Business Engine printouts

Infor Federation Services

12+

Note: IFS is included in Infor OS and this requirement is for the SAML Session Provider.

IBM WebSphere MQ 8.5 (MQ Series Channel compatibility)

Windows version 5.6 for scripting host

Note: These are optional third party components for Infor Enterprise Collaborator (IEC).

If these channel types are needed, refer to the third party installation guide.

Software requirements Windows 2016

For information about how to install required software, see the corresponding installation guides.

Component Supported version(s)
Operating System

Windows Server 2016 Standard Edition

Datacenter and Essentials editions could be possible from an M3 point of view. The choice should be made on what other features you are looking for.

Note: The only supported configuration is Server with a Desktop Experience.

English is the preferred language for installing Windows. Infor’s ability to support non-English installations is limited.

Database

Microsoft SQL Server 2016 Enterprise Edition SP1 or higher 64-bit

Microsoft SQL Server 2016 Standard Edition SP1 or higher 64-bit

Microsoft SQL Server 2017 Enterprise Edition latest CU or higher 64-bit

Microsoft SQL Server 2017 Standard Edition latest CU or higher 64-bit

Note: Developer and Express editions are supported for test and demonstration purposes.
Java Application server

Oracle Java SE Development Kit 8.0 Update 191 or higher 32-bit and 64-bit

For more information about Oracle Java, see: http://www.oracle.com/technetwork/java/index.html.

Amazon Corretto JDK 8 32-bit and 64-bit

For more information about Amazon Corretto, see: https://aws.amazon.com/corretto/.

OpenText

StreamServe 5.6.2

Exstream 16.x

Used for output management of M3 Business Engine printouts

Infor Federation Services

12+

Note: IFS is included in Infor OS and this requirement is for the SAML Session Provider.

IBM WebSphere MQ 8.5 (MQ Series Channel compatibility)

Windows version 5.6 for scripting host

Note: These are optional third party components for Infor Enterprise Collaborator (IEC).

If these channel types are needed, refer to the third party installation guide.

Software requirements Windows 2019

For information about how to install required software, see the corresponding installation guides.

Component Supported version(s)
Operating System

Windows Server 2019 Standard Edition

Datacenter and Essentials editions could be possible from an M3 point of view. The choice should be made on what other features you are looking for.

Note: The only supported configuration is Server with a Desktop Experience.

English is the preferred language for installing Windows. Infor’s ability to support non-English installations is limited.

Database

Microsoft SQL Server 2017 Enterprise Edition latest CU or higher 64-bit

Microsoft SQL Server 2017 Standard Edition latest CU or higher 64-bit

Note: Developer and Express editions are supported for test and demonstration purposes.
Java Application server

Oracle Java SE Development Kit 8.0 Update 191 or higher 32-bit and 64-bit

For more information about Oracle Java, see: http://www.oracle.com/technetwork/java/index.html

Amazon Corretto JDK 8 32-bit and 64-bit

For more information about Amazon Corretto, see: https://aws.amazon.com/corretto/.

OpenText

StreamServe 5.6.2

Exstream 16.x

Used for output management of M3 Business Engine printouts

Infor Federation Services

12+

Note: IFS is included in Infor OS and this requirement is for the SAML Session Provider.

IBM WebSphere MQ 8.5 (MQ Series Channel compatibility)

Windows version 5.6 for scripting host

Note: These are optional third party components for Infor Enterprise Collaborator (IEC).

If these channel types are needed, refer to the third party installation guide.